summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorManos Pitsidianakis <el13635@mail.ntua.gr>2019-12-18 09:18:28 +0200
committerManos Pitsidianakis <el13635@mail.ntua.gr>2019-12-18 12:38:26 +0200
commit450c9f2b1c4a6267af6268e6c26f46126caf64d8 (patch)
treea95b8230cdb700fe22845f725f48844cc49f8651
parentc23cc45edd0ece871194799ee137a84267f60f9d (diff)
Add pre-push git hook
-rw-r--r--Makefile7
-rwxr-xr-xscripts/pre-push24
2 files changed, 29 insertions, 2 deletions
diff --git a/Makefile b/Makefile
index 277ec4de..41f1aa92 100644
--- a/Makefile
+++ b/Makefile
@@ -3,7 +3,7 @@
meli:
cargo build $(FEATURES)--release
-PREFIX=/usr/local
+PREFIX ?= /usr/local
ifdef MELI_FEATURES
FEATURES ?= --features="$(MELI_FEATURES)"
@@ -13,7 +13,7 @@ endif
.PHONY: clean
clean:
- rm -ri ./target/
+ rm -r ./target/
.PHONY: uninstall
@@ -30,3 +30,6 @@ install: meli
cp -f target/release/meli $(DESTDIR)$(PREFIX)/bin
gzip < meli.1 > $(DESTDIR)$(PREFIX)/share/man/man1/meli.1.gz
gzip < meli.conf.5 > $(DESTDIR)$(PREFIX)/share/man/man5/meli.conf.5.gz
+ @echo "\n You might want to read the \"STARTING WITH meli\" section in the manpage (\`man meli\`)"
+ @echo " - Report bugs in the mailing list or git issue tracker https://git.meli.delivery"
+ @echo " - If you have a specific feature or workflow you want to use, you can post in the mailing list or git issue tracker."
diff --git a/scripts/pre-push b/scripts/pre-push
new file mode 100755
index 00000000..34f87a17
--- /dev/null
+++ b/scripts/pre-push
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# Copyright 2017-2018 Manos Pitsidianakis
+#
+# This file is part of meli.
+#
+# meli is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# meli is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with meli. If not, see <http://www.gnu.org/licenses/>.
+
+set -euxo pipefail
+
+echo "Testing if debug profile builds..."
+cargo check --all-features
+cargo test --all-features --workspace